GeoHashDistanceFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geohash.GeoHashDistanceFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geohash
Class GeoHashDistanceFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.tier.DistanceFilter
              org.apache.lucene.spatial.geohash.GeoHashDistanceFilter

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class GeoHashDistanceFilter

extends DistanceFilter

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`distance, distanceLookupCache, distances, nextDocBase, precise, startingFilter`

Constructor Summary
`GeoHashDistanceFilter(Filter startingFilter, double lat, double lng, double miles, String geoHashField)` Deprecated. Provide a distance filter based from a center point with a radius in miles

Method Summary
`boolean` | `equals(Object o)` Deprecated. Returns true if `o` is equal to this.
`DocIdSet` | `getDocIdSet(IndexReader reader)` Deprecated. Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
`int` | `hashCode()` Deprecated. Returns a hash code value for this object.

Methods inherited from class org.apache.lucene.spatial.tier.DistanceFilter
`getDistance, getDistances, reset, setDistances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoHashDistanceFilter

    public GeoHashDistanceFilter(Filter startingFilter,
                                 double lat,
                                 double lng,
                                 double miles,
                                 String geoHashField)

  Deprecated.
  Provide a distance filter based from a center point with a radius in miles

  Parameters:
    `startingFilter` -
    `lat` -
    `lng` -
    `miles` -

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Deprecated.
  Description copied from class: `Filter`
  Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

  Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

  Specified by:
    `getDocIdSet` in class `Filter`
  Parameters:
    `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

### equals

    public boolean equals(Object o)

  Deprecated.
  Returns true if `o` is equal to this.

  Specified by:
    `equals` in class `DistanceFilter`

### hashCode

    public int hashCode()

  Deprecated.
  Returns a hash code value for this object.

  Specified by:
    `hashCode` in class `DistanceFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD